package com.tuoheng.admin.enums;

import lombok.Getter;

/**
 * @Author ChengWang
 * @Date 2023/5/19
 */
public enum AirportLineEnum {

    //任务状态1待执行 2执行中
    REGION_LIST_IS_NULL(10001,"区域数据为空"),
    AIRPORT_ROUTE_LIST_IS_NULL(10002,"航线数据为空"),
    AIRPORT_LINE_NAME_IS_NULL(10004,"航线名称为空"),
    AIRPORT_ID_IS_NULL(10005,"机场id为空"),
    TENANT_ID_IS_NULL(10006,"租户id为空"),
    TENANT_CODE_IS_NULL(10007,"租户code为空"),
    TENANT_IS_NOT_EXIST(10008,"租户不存在");

    AirportLineEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    @Getter
    private int code;

    @Getter
    private String msg;
}
